U++ - Feature #963
IDE - Help menu "Report bug.." option
01/19/2015 07:41 PM - Zbigniew Rebacz

Status: Approved Start date: 01/19/2015
Priority: Low Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

This option should invoke web browser with following site: http://www.ultimatepp.org/forums/index.php?t=loginx%x%.

History

#1 - 01/19/2015 08:00 PM - Zbigniew Rebacz
- File ReportBug.diff added
- Status changed from New to Patch ready

#2 - 02/02/2015 03:32 PM - Miroslav Fidler
- Status changed from Patch ready to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

| have delayed this, because while a very good idea with a trivial implementation, | was not quite sure what link(s) to include. Here comes my first attempt...

#3 - 02/02/2015 05:24 PM - Zbigniew Rebacz
- File ReportBug2.diff added
- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

OK, but I think we will achieved better result by doing something like this:
void Ide::HelpMenu(Bar& menu)
{
menu.Add(AK_BROWSETOPICS, Idelmg::help(), THISBACK(ShowTopics));
menu.Add(AK_SEARCHTOPICS, THISBACK(SearchTopics));
menu.Add(AK_BROWSETOPICS_WIN, Idelmg::help_win(), THISBACK(ShowTopicsWin));
if(menu.lsMenuBar()) {
menu.Separator();
menu.Add("Get help / report bugs..", Idelmg::Go_forward(), callback1(LaunchWebBrowser, "http://www.ultimatepp.org/forums"));
menu.Add("Online documentation..", Idelmg::Go_forward(), callback1(LaunchWebBrowser, "
http://www.ultimatepp.org/www$uppweb$documentation$en-us.html"));
menu.Add("Common information..", Idelmg::Go_forward(), callback1(LaunchWebBrowser, "
http://www.ultimatepp.org/www$uppweb$community$en-us.html"));
}
if(menu.IsMenuBar())
menu.Separator();
menu.Add("About..", THISBACK(About));
http://www.ultimatepp.org/forums/index.php?t=loginx%x

This operation should be definitely hide only in bar and it should be placed after core help function.

#4 - 02/07/2015 03:01 PM - Miroslav Fidler
- Status changed from Ready for QA to Approved
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#5 - 02/07/2015 05:53 PM - Zbigniew Rebacz
- Status changed from Approved to Ready for QA
- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Fine, but can we change order? ("...it should be placed after core help function." - my last message in this topic). It is maybe not critical, but it sticks to the
convention (Core help function first).

#6 - 02/08/2015 01:08 PM - Miroslav Fidler
- Status changed from Ready for QA to Approved

Files
ReportBug.diff 1.35 KB 01/19/2015 Zbigniew Rebacz
ReportBug?2.diff 1.42 KB 02/02/2015 Zbigniew Rebacz
